Name:           git2cl
Version:        2.0
Release:        0.7.git8373c9f%{?dist}
Summary:        Converts git logs to GNU style ChangeLog format

Group:          Development/Tools
License:        GPLv2+
URL:            http://josefsson.org/git2cl/
# Source is generated from a git tag. This
# shows an example of producing a tar ball from
# the  2.0 tag.
# git clone http://repo.or.cz/r/git2cl.git 
# cd git2cl
# git archive --prefix=git2cl-2.0/  git2cl-2.0 | gzip -c > git2cl-2.0.tar.gz
# And finally to get git hash for use in the release.
# git checkout git2cl-2.0

Source0:        git2cl-2.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       git

%description
A quick tool to convert git logs to GNU ChangeLog format.

The tool invokes git log internally unless you pipe a log to it. 

%prep
%setup -q

%build
# Nothing to build.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 git2cl $RPM_BUILD_ROOT%{_bindir}/git2cl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/git2cl
%doc README COPYING

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.7.git8373c9f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.0-0.6.git8373c9f
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.5.git8373c9f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.4.git8373c9f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.3.git8373c9f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.2.git8373c9f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug 29 2010 Steve Traylen <steve.traylen@cern.ch> - 2.0-0.1.git8373c9f
- Use a git hash point in the release.

* Thu Aug 26 2010 Steve Traylen <steve.traylen@cern.ch> - 2.0-1
- Initial build.

